# AaveV3QuotePriceTrigger

### Description

Trigger contract that verifies if current token price ratio is over/under the price ratio specified during subscription

> **Notes**
>
> Checks chainlink oracle for current prices and triggers if it's in a correct state

### Trigger ID

`0xda3df4c8`

### SDK Action

```ts
const aaveV3QuotePriceTrigger = new dfs.triggers.AaveV3QuotePriceTrigger(
    baseTokenAddr,
    quoteTokenAddr,
    price,
    state
);
```

### Subscription Parameters

```solidity
/// @param baseTokenAddr address of the base token which is quoted
/// @param quoteTokenAddr address of the quote token
/// @param price price in quote token of the base token that represents the triggerable point
/// @param state represents if we want the current price to be higher or lower than price param
struct SubParams {
    address baseTokenAddr;
    address quoteTokenAddr;
    uint256 price;
    uint8 state;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/aavev3/aavev3quotepricetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
